#if !defined(LD_GAME_AABB_H_)
#define LD_GAME_AABB_H_
#include "../core/types.h"
#include "../core/macros.h"

typedef struct AABB AABB;
struct AABB
{
  V2f pos;
  V2f size;
};

function bool AABB_Collide(AABB a, AABB b);
function bool AABB_Point(AABB a, V2f v);
function bool AABB_Slab(V2f origin, V2f point, AABB a);
function V2f AABB_Centre(AABB a);

#endif // LD_GAME_AABB_H_
